org.apache.pdfbox.pdmodel.interactive.viewerpreferences

## Enum PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE

- java.lang.Object
- - java.lang.Enum<PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE>
  - - org.apache.pdfbox.pdmodel.interactive.viewerpreferences.PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE

All Implemented Interfaces:
  Serializable, Comparable<PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE>

Enclosing class:
  PDViewerPreferences

    public static enum PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE
    extends Enum<PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE>

Enumeration containing all valid values for NonFullScreenPageMode.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`UseNone` From PDF Reference: "Neither document outline nor thumbnail images visible".
`UseOC` From PDF Reference: "Optional content group panel visible".
`UseOutlines` From PDF Reference: "Document outline visible".
`UseThumbs` From PDF Reference: "Thumbnail images visible".

### Method Summary

All Methods Static Methods Concrete Methods
`static PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UseNone

    public static final PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE UseNone

From PDF Reference: "Neither document outline nor thumbnail images visible".

#### UseOutlines

    public static final PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE UseOutlines

From PDF Reference: "Document outline visible".

#### UseThumbs

    public static final PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE UseThumbs

From PDF Reference: "Thumbnail images visible".

#### UseOC

    public static final PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE UseOC

From PDF Reference: "Optional content group panel visible".

### Method Detail

#### values

    public static PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE c : PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null